import { attendanceRequestList } from "@/app/lib/attendance/action";
import { Box } from "@chakra-ui/react";
import Table from "./component/table";
import { SearchParamProps } from "@/types/searchParams";
import { prepareUsersDropdown } from "@/utils/common";
import { usersRequestList } from "@/app/lib/users/action";

export default async function Attendance({ searchParams }: SearchParamProps) {
  const [users, attendance] = await Promise.all([
      usersRequestList({ pagination: 'false' }),
      attendanceRequestList({ ...searchParams }),
    ]);
  
    // Prepare data for users dropdown
    const usersDropdown = prepareUsersDropdown(users);

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {attendance?.data && <Table data={attendance?.data} users={usersDropdown} />}
    </Box>
  );
}
